apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx-deployment
spec:
  replicas: 3
  template:
    spec:
      containers:
      - name: nginx
        image: rg.fr-par.scw.cloud/guru/nginx:1.13.12-alpine 
        ports:
          - containerPort: 8080
        volumeMounts:
          # Map a specific config to allow non root execution
          - name: conf
            mountPath: /etc/nginx
      volumes:
        # Map a specific config to allow non root execution
        - name: conf
          configMap:
            name: nginx-configmap
